petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMInitializePackage

This function initializes everything in the DM package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to AOCreate() or DMDACreate() when using static libraries.

### Synopsis

    PetscErrorCode  DMInitializePackage(void)

### Keywords

AO, initialize, package

### See Also

PetscInitialize()

Level:developer
Location:src/dm/interface/dlregisdmdm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages